=== debian/changelog ===
utalk (1.0.2-2) unstable; urgency=medium

  * Fix FTCBFS: Do not strip during make install, thanks to Helmut
    Grohne (Closes: #991783)

 -- Radovan Garabík <garabik@kassiopeia.juls.savba.sk>  Fri, 15 Oct 2021 15:57:19 +0200

utalk (1.0.2-1) unstable; urgency=low

  * New upstream release (closes: #980251)
  * quilt package

 -- Radovan Garabík <garabik@kassiopeia.juls.savba.sk>  Fri, 14 May 2021 15:49:22 +0200

utalk (1.0.1.beta-9) unstable; urgency=medium

  * Fix FTCBFS: Let dh_auto_build pass cross tools to make. (thanks to Helmut
    Grohne) (closes: #968423)
  * add year to copyright notice

 -- Radovan Garabík <garabik@kassiopeia.juls.savba.sk>  Tue, 18 Aug 2020 14:01:21 +0200

utalk (1.0.1.beta-8.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix ftbfs with GCC-10. (Closes: #957903)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 22 Jul 2020 22:39:21 +0100

utalk (1.0.1.beta-8) unstable; urgency=low

  * update URL in debian/copyright
  * update package (closes: #800221)

 -- Radovan Garabík <garabik@kassiopeia.juls.savba.sk>  Sat, 24 Oct 2015 20:31:21 +0200

utalk (1.0.1.beta-7) unstable; urgency=low

  * applied patch from John Lightsey to clean up compiler error (closes: #190786)

 -- Radovan Garabík <garabik@kassiopeia.juls.savba.sk>  Fri, 23 May 2003 14:42:01 +0200

utalk (1.0.1.beta-6) unstable; urgency=low

  * moved Build-Depends where it belongs

 -- Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>  Fri, 23 Feb 2001 21:49:52 +0100

utalk (1.0.1.beta-5) unstable; urgency=low

  * rebuilt with a new GPG key
  * fixed messed up dependencies

 -- Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>  Fri,  1 Sep 2000 08:39:54 +0200

utalk (1.0.1.beta-4) unstable; urgency=low

  * added debhelper to Build-Depends

 -- Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>  Tue, 15 Feb 2000 22:52:51 +0100

utalk (1.0.1.beta-3) unstable; urgency=low

  * upgraded Standards-Version
  * compiled with new libncurses
  * Suggests: talkd

 -- Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>  Thu,  6 Jan 2000 16:46:46 +0100

utalk (1.0.1.beta-2.1) unstable; urgency=low

  * NMU (sponsored).
  * List Radovan properly as the maintainer in the control file.

 -- Chris Lawrence <lawrencc@debian.org>  Tue,  4 Jan 2000 02:14:22 -0600

utalk (1.0.1.beta-2) unstable; urgency=low

  * upgraded Standards-Version
  * Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk> is the person
    responsible for this package; I am his sponsor and am uploading it on
    his behalf.

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 13 Oct 1999 22:13:05 +0200

utalk (1.0.1.beta-1) unstable; urgency=low

  * Initial Release.

 -- Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>  Mon, 20 Sep 1999 22:39:10 +0200

Local variables:
mode: debian-changelog
End:
