=== debian/control ===
Source: utalk
Section: net
Priority: optional
Maintainer: Radovan Garabík <garabik@kassiopeia.juls.savba.sk>
Build-Depends: debhelper-compat (= 13), libncurses-dev
Standards-Version: 4.5.1
Homepage: https://utalk.ourproject.org/
Rules-Requires-Root: no

Package: utalk
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: talkd
Description: talk-like program with additional features
 utalk uses a protocol, based on UDP, which ensures a quick response
 even over links with high packet loss, allows editing of previously
 typed text, including scrollback, deletion and overstrike, and
 provides some additional features. It is not compatible with BSD
 talk program.
